Skip to main content
GET
/
persons
/
{id}
Retrieve a person
curl --request GET \
  --url https://api.engine.usesophic.com/persons/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "person_type": "<unknown>",
  "full_name": "<string>",
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "line3": "<string>",
    "district_county": "<string>",
    "city": "<string>",
    "postal_code": "<string>",
    "country_code": "<string>"
  },
  "phone_number": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "passport_number": "<string>",
  "id_number": "<string>",
  "tax_number": "<string>",
  "nationalities": [
    "<string>"
  ],
  "date_of_birth": "2023-12-25",
  "created_at": "2023-11-07T05:31:56Z",
  "modified_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the person.

Response

OK

id
string
required

Unique resource identifier.

person_type
any
required

The type of person.

full_name
string
required

The full name of the person (first name and last name for natural persons, entity name for legal persons).

address
Address · object
required

The registered address (residential for natural persons, registered office for legal persons).

phone_number
string | null
required

The primary phone number of the person.

first_name
string
required

The first name of the person.

last_name
string
required

The last name of the person.

passport_number
string | null
required

The passport number of the person.

id_number
string | null
required

The national ID number of the person.

tax_number
string | null
required

The tax number of the person.

nationalities
string[]
required

The list of country codes for the person's nationalities.

date_of_birth
string<date>
required

The date of birth of the person.

created_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was created.

modified_at
string<date-time>
required

The timestamp (in ISO-8601 format) of when the resource was last modified.